# Created by pyp2rpm-1.0.1
%define pypi_name pycuda

%global __requires_exclude libcuda.so.1

Name:           python-%{pypi_name}
Version:        2025.1
Release:        %mkrel 3
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
License:        MIT
URL:            https://pypi.python.org/pypi/pycuda
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Build with mga lib names
Patch0:         pycuda-2016.1.2-libboost_python.patch
Patch1:         import-sphinxconfig.patch

ExclusiveArch:  x86_64
BuildRequires:  ctags
BuildRequires:  nvidia-cuda-toolkit-devel
BuildRequires:  nvidia-current-devel
BuildRequires:  libgl-devel
BuildRequires:  boost-devel

%description
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Python 3 wrapper for NVIDIA CUDA
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(furo)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-copybutton)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pytools)
Requires:       python3dist(pytest) >= 2
Requires:       python3dist(decorator) >= 3.2.0

%description -n python3-%{pypi_name}
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%{python3} configure.py \
    --boost-python-libname="boost_python3" \
    --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system --cuda-enable-gl

%pyproject_wheel

# generate html docs
sphinx-build doc/ html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README_SETUP.txt README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2025.1-3.mga10
+ Revision: 2244143
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 daviddavid <daviddavid> 2025.1-2.mga10.nonfree
+ Revision: 2161330
- rebuild for python 3.13

* Mon Feb 17 2025 daviddavid <daviddavid> 2025.1-1.mga10.nonfree
+ Revision: 2149237
- new version: 2025.1
- rebuild for boost 1.87.0
+ wally <wally>
- rebuild for boost 1.87.0

* Fri Sep 20 2024 daviddavid <daviddavid> 2024.1.2-1.mga10.nonfree
+ Revision: 2099475
- new version: 2024.1.2
+ wally <wally>
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 2024.1-2.mga10.nonfree
+ Revision: 2075389
- rebuild for boost 1.85.0

* Sat Feb 17 2024 daviddavid <daviddavid> 2024.1-1.mga10.nonfree
+ Revision: 2042116
- new version: 2024.1
- rebuild for py3.12
- switch to pyproject
+ wally <wally>
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 2022.2.2-2.mga10.nonfree
+ Revision: 1991491
- rebuild for boost 1.83.0

* Tue Dec 27 2022 daviddavid <daviddavid> 2022.2.2-1.mga9.nonfree
+ Revision: 1927259
- new version: 2022.2.2
+ wally <wally>
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 2021.1-7.mga9.nonfree
+ Revision: 1867304
- rebuild for boost 1.79.0

* Fri Apr 15 2022 umeabot <umeabot> 2021.1-6.mga9.nonfree
+ Revision: 1850492
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2021.1-5.mga9.nonfree
+ Revision: 1783244
- rebuild for python-3.10

* Sun Dec 19 2021 wally <wally> 2021.1-4.mga9.nonfree
+ Revision: 1762650
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 2021.1-3.mga9.nonfree
+ Revision: 1744651
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 2021.1-2.mga9.nonfree
+ Revision: 1723011
- rebuild for boost 1.76.0

* Tue Apr 20 2021 daviddavid <daviddavid> 2021.1-1.mga9.nonfree
+ Revision: 1717227
- new version: 2021.1

* Mon Apr 19 2021 daviddavid <daviddavid> 2019.1.2-8.mga9.nonfree
+ Revision: 1717138
- rebuild for python 3.9

* Thu Dec 31 2020 wally <wally> 2019.1.2-7.mga8.nonfree
+ Revision: 1666810
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 2019.1.2-6.mga8.nonfree
+ Revision: 1662052
- rebuild for boost 1.74.0

* Wed Jul 22 2020 ovitters <ovitters> 2019.1.2-5.mga8.nonfree
+ Revision: 1608079
- rebuild for get rid of pythonegg requires

* Sun May 03 2020 wally <wally> 2019.1.2-4.mga8.nonfree
+ Revision: 1578105
- rebuild for boost 1.73.0

* Fri Feb 21 2020 umeabot <umeabot> 2019.1.2-3.mga8.nonfree
+ Revision: 1548646
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 2019.1.2-2.mga8.nonfree
+ Revision: 1483424
- rebuild for boost 1.72.0

* Sat Sep 21 2019 wally <wally> 2019.1.2-1.mga8.nonfree
+ Revision: 1444503
- new version 2019.1.2
- drop python2 support
- build docs

* Wed Mar 20 2019 daviddavid <daviddavid> 2018.1.1-2.mga7.nonfree
+ Revision: 1379053
- rebuild for new nvidia-cuda-toolkit 10.1.105

* Thu Jan 10 2019 daviddavid <daviddavid> 2018.1.1-1.mga7.nonfree
+ Revision: 1354358
- new version: 2018.1.1
- rebuild for new Python 3.7

* Thu Oct 18 2018 wally <wally> 2017.1.1-3.mga7.nonfree
+ Revision: 1321925
- rebuild for new boost 1.68.0

* Thu Sep 20 2018 umeabot <umeabot> 2017.1.1-2.mga7.nonfree
+ Revision: 1289769
- Mageia 7 Mass Rebuild

* Mon Feb 26 2018 daviddavid <daviddavid> 2017.1.1-1.mga7.nonfree
+ Revision: 1205337
- new version: 2017.1.1
- rebuild for new nvidia-cuda-toolkit 9.1.85
- rename python-pycuda to python2-pycuda

* Mon Dec 25 2017 wally <wally> 2016.1.2-5.mga7.nonfree
+ Revision: 1184703
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 2016.1.2-4.mga7.nonfree
+ Revision: 1178347
- rebuild for boost 1.65

* Fri Sep 22 2017 tv <tv> 2016.1.2-3.mga7.nonfree
+ Revision: 1157720
- rebuild for new boost

* Mon Aug 07 2017 daviddavid <daviddavid> 2016.1.2-2.mga7.nonfree
+ Revision: 1138257
- rebuild for new Python 3.6

* Tue Mar 14 2017 eatdirt <eatdirt> 2016.1.2-1.mga6.nonfree
+ Revision: 1092587
- Upgrade to version 2016.1.2
+ daviddavid <daviddavid>
- rebuild for new nvidia-cuda-toolkit 8.0.61

* Sun Jan 08 2017 daviddavid <daviddavid> 2015.1.3-7.mga6.nonfree
+ Revision: 1080707
- exclude also ARM arches

* Sun Jan 08 2017 daviddavid <daviddavid> 2015.1.3-6.mga6.nonfree
+ Revision: 1080672
- requires python(3)-pytest

* Sat Jan 16 2016 daviddavid <daviddavid> 2015.1.3-5.mga6.nonfree
+ Revision: 923459
- rebuild for new nvidia-cuda-toolkit 7.5.18

* Sun Dec 27 2015 daviddavid <daviddavid> 2015.1.3-4.mga6.nonfree
+ Revision: 916075
- rebuild for new boost 1.60.0

* Sat Oct 10 2015 daviddavid <daviddavid> 2015.1.3-3.mga6.nonfree
+ Revision: 889180
- rewrite patch for python 3.5
- use new python macros
+ tv <tv>
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sat Sep 26 2015 fwang <fwang> 2015.1.3-2.mga6.nonfree
+ Revision: 883759
- rebuild for new boost

* Fri Aug 14 2015 fwang <fwang> 2015.1.3-1.mga6.nonfree
+ Revision: 864643
- we only provides python3 ver now
- 2015.1.3
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Mon Jan 19 2015 philippem <philippem> 2014.1-6.mga5.nonfree
+ Revision: 811437
- cuda is x86_64 only
- rebuild with new Cuda
+ tv <tv>
- new version
- rebuild for missing pythoneggs deps
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 philippem <philippem> 2013.1.1-2.mga5.nonfree
+ Revision: 633233
- rewrite patch for Python3.4
- rebuild for new Python3.4

* Sat Feb 08 2014 philippem <philippem> 2013.1.1-1.mga5.nonfree
+ Revision: 586100
- Update to 2013.1.1, add Python3

* Mon Dec 09 2013 philippem <philippem> 2012.1-5.mga4.nonfree
+ Revision: 556072
- rebuild for new nvidia-cuda-toolkit

* Thu Oct 24 2013 philippem <philippem> 2012.1-4.mga4.nonfree
+ Revision: 546749
- bump rel to fix pythonegg

* Thu Jul 11 2013 fwang <fwang> 2012.1-3.mga4.nonfree
+ Revision: 452820
- rebuild for new boost

* Fri Apr 12 2013 mitya <mitya> 2012.1-2.mga3.nonfree
+ Revision: 409805
- Rebuild with new Boost 1.53

* Sat Mar 30 2013 mitya <mitya> 2012.1-1.mga3.nonfree
+ Revision: 406549
- imported package python-pycuda

